//-----------------------------------------------------------------------------
//
//	Musepack Demuxer
//
//	Author : Igor Janos
//
//-----------------------------------------------------------------------------
#pragma once


#define WM_UPDATE_VISUALS		(WM_USER + 1003)

//-----------------------------------------------------------------------------
//
//	CMPCPropertyPage class
//
//-----------------------------------------------------------------------------
class CMPCPropertyPage : public CBasePropertyPage
{
public:

	IMusepackSplitter		*demux;

	void UpdateList();
public:
	CMPCPropertyPage(LPUNKNOWN lpUnk, HRESULT *phr);
	virtual ~CMPCPropertyPage();
	static CUnknown *WINAPI CreateInstance(LPUNKNOWN lpUnk, HRESULT *phr);

	// CBasePropertyPage
	HRESULT OnConnect(IUnknown *pUnknown);
	HRESULT OnDisconnect();
	HRESULT OnActivate();
	HRESULT OnDeactivate();

	// message
	INT_PTR OnReceiveMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
};


